// @ts-ignore
/* eslint-disable */
import { request } from '@wisdom-utils/utils';

/** 获取小程序配置，网站配置和菜单树 userMode 必填  super 或 admin 或common GET /PlatformCenter/MiniAppModuleTree */
export async function MiniAppModuleTree(params, options) {
  return request('/PlatformCenter/MiniAppModuleTree', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** web配置 userMode 必填  super 或 admin 或common GET /PlatformCenter/WebModuleTree */
export async function WebModuleTree(params, options) {
  return request('/PlatformCenter/WebModuleTree', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取手持菜单配置 userMode 必填  super 或 admin 或common GET /PlatformCenter/MobileModuleTree */
export async function MobileModuleTree(params, options) {
  return request('/PlatformCenter/MobileModuleTree', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 角色管理获取应用类别 GET /PlatformCenter/GetWebConfigTypes */
export async function GetWebConfigTypes(options) {
  return request('/PlatformCenter/GetWebConfigTypes', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 删除小程序菜单和角色 GET /PlatformCenter/DeleteMiniMenu */
export async function DeleteMiniMenu(params, options) {
  return request('/PlatformCenter/DeleteMiniMenu', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取网站配置信息 GET /PlatformCenter/GetWebSiteConfig */
export async function GetWebSiteConfig(params, options) {
  return request('/PlatformCenter/GetWebSiteConfig', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取当前解决方案名称 GET /PlatformCenter/GetSolutionList */
export async function GetSolutionList(options) {
  return request('/PlatformCenter/GetSolutionList', {
    method: 'GET',
    ...(options || {}),
  });
}
